<?php
/**
 * @package Eroshiksavp theme
 *
 *
 */

 if ( ! function_exists( 'eroshik_savp_font_url' ) ){
   function eroshik_savp_font_url(){
     $fonts_url = '';
     $font= array();
     $subsets= 'latin,latin-ext';
     $font[]=get_theme_mod('theme_font','Hind:300,regular,500,600,700');
     if ( $font ) {
       $fonts_url = add_query_arg( array(
         'family' =>  urlencode( implode( '|', array_unique($font) ) ),
         'subset' =>  urlencode( $subsets ),
       ), '//fonts.googleapis.com/css' );
     }
     return esc_url_raw($fonts_url);
   }
 }


 if ( ! function_exists( 'eroshik_savp_font_header_url' ) ){
   function eroshik_savp_font_header_url(){
     $fonts_url = '';
     $font= array();
     $subsets= 'latin,latin-ext';
     $font[]=get_theme_mod('header_font_family','Hind:300,regular,500,600,700');
     if ( $font ) {
       $fonts_url = add_query_arg( array(
         'family' =>  urlencode( implode( '|', array_unique($font) ) ),
         'subset' =>  urlencode( $subsets ),
       ), '//fonts.googleapis.com/css' );
     }
     return esc_url_raw($fonts_url);
   }
 }


 if ( ! function_exists( 'eroshik_savp_font_menu_url' ) ){
   function eroshik_savp_font_menu_url(){
     $fonts_url = '';
     $font= array();
     $subsets= 'latin,latin-ext';
     $font[]=get_theme_mod('menu_font_family','Hind:300,regular,500,600,700');
     if ( $font ) {
       $fonts_url = add_query_arg( array(
         'family' =>  urlencode( implode( '|', array_unique($font) ) ),
         'subset' =>  urlencode( $subsets ),
       ), '//fonts.googleapis.com/css' );
     }
     return esc_url_raw($fonts_url);
   }
 }







   //frontend enqueue
   if ( ! function_exists( 'eroshik_savp_laod_scripts' ) ) {
   function eroshik_savp_laod_scripts(){
     wp_enqueue_style('eroshik_savp_fa', get_template_directory_uri().'/libs/fa/css/font-awesome.css', array(),'4.7.0','all');
     wp_enqueue_style('eroshik_savp_bootstrap', get_template_directory_uri().'/css/bootstrap.css', array(),'3.3.7','all');
     wp_enqueue_style( 'eroshik_savp_fonts', eroshik_savp_font_url(), array(), null );
     wp_enqueue_style( 'eroshik_savp_fonts_header', eroshik_savp_font_header_url(), array(), null );
     wp_enqueue_style( 'eroshik_savp_fonts_menu', eroshik_savp_font_menu_url(), array(), null );
     wp_enqueue_style('eroshik_savp_style', get_template_directory_uri().'/css/eroshik-savp.css', array(),'3.3.8','all');
     wp_enqueue_script('eroshik_savp_bootstrap', get_template_directory_uri().'/js/bootstrap.js', array('jquery'),'3.3.8',true);
     wp_enqueue_script( 'eroshik_savp_js', get_template_directory_uri() . '/js/eroshik-savp.js', array('jquery'), '1.0.5', true );
     wp_enqueue_style( 'themeslug-style', get_stylesheet_uri() );
     wp_style_add_data( 'themeslug-style', 'rtl', 'replace' );


     $translation_array = array(
     	'end_of_blog_posts' => __( 'End of blog post', 'eroshiksavp' ),
     	'a_value' => '10'
     );


    wp_localize_script( 'eroshik_savp_js', 'ajax_object',
                array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );

     wp_localize_script( 'eroshik_savp_js', 'eroshiksavpendofblog', $translation_array );


       if ( is_singular() ) {
        wp_enqueue_script( 'eroshik_savp_js' );
        wp_enqueue_script( "comment-reply" );
       }

     }
   add_action('wp_enqueue_scripts', 'eroshik_savp_laod_scripts');
 }

?>
